Skip to navigation

List room folders accessible to current user

View as Markdown
Gets a list of room folders in the specified room that are accessible to the current user.

Authentication

Authorizationstring

JWT Authorization header using the Bearer scheme. Example: “Authorization: Bearer {token}”

Path parameters

roomIdintegerRequired
The ID of the room from which to retrieve folders.
accountIdstringRequired

The globally unique identifier (GUID) for the account.

Query parameters

startPositionintegerOptionalDefaults to 0

The starting zero-based index position of the results set. When this property is used as a query parameter, the default value is 0.

countintegerOptionalDefaults to 100

The number of results. When this property is used as a request parameter specifying the number of results to return, the value must be a number between 1 and 100 (default).

Response

Room folders successfully retrieved.
folderslist of objectsOptional
An array of room folders.
resultSetSizeintegerOptional
The number of results returned in this response.
startPositionintegerOptional

The starting zero-based index position of the results set. When this property is used as a query parameter, the default value is 0.

endPositionintegerOptionalRead-only

The last zero-based index position in the result set.

nextUristringOptional

The URI for the next chunk of records based on the search request. This property is null for the last set of search results.

priorUristringOptional

The URI for the previous chunk of records based on the search request. This property is null for the first set of search results.

totalRowCountintegerOptional
The number of results in this reponse.

Errors

400
Bad Request Error
401
Unauthorized Error